Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 410975 - dev-ruby/ruby-glib2-1.1.2 fails to build with dev-libs/glib-2.32.0
Summary: dev-ruby/ruby-glib2-1.1.2 fails to build with dev-libs/glib-2.32.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL: https://github.com/ruby-gnome2/ruby-g...
Whiteboard:
Keywords:
: 412495 (view as bug list)
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-05 22:56 UTC by Andreas Proteus
Modified: 2012-04-18 16:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
The build log (build.log,50.01 KB, text/plain)
2012-04-05 22:56 UTC, Andreas Proteus
Details
emerge info (emerge.info,5.23 KB, text/plain)
2012-04-05 22:59 UTC, Andreas Proteus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Proteus 2012-04-05 22:56:45 UTC
Created attachment 307947 [details]
The build log

compilation fails with the error:
glib-enum-types.c:908:7: error: stray '#' in program


Note that reverting glib to dev-libs/glib-2.30.3
ruby-glib2-1.1.2 compiles with no problems.
Comment 1 Andreas Proteus 2012-04-05 22:59:12 UTC
Created attachment 307949 [details]
emerge info

emerge -pqv
[ebuild     U ] dev-ruby/ruby-glib2-1.1.2 [1.1.0] USE="-test" RUBY_TARGETS="ruby18 ruby19 -ree18"
Comment 2 Hans de Graaff gentoo-dev 2012-04-07 08:30:06 UTC
This appears to be fixed upstream. Hopefully a new version will be released shortly, otherwise we will need to backport the patch.
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-04-12 00:09:03 UTC
(In reply to comment #2)
> This appears to be fixed upstream. Hopefully a new version will be released
> shortly, otherwise we will need to backport the patch.

ruby-glib2-1.1.3 was released several days ago, and I believe include a fix for this issue.
Comment 4 Hans de Graaff gentoo-dev 2012-04-14 07:00:46 UTC
(In reply to comment #3)

> ruby-glib2-1.1.3 was released several days ago, and I believe include a fix
> for this issue.

Now in CVS.
Comment 5 Hans de Graaff gentoo-dev 2012-04-18 16:19:22 UTC
*** Bug 412495 has been marked as a duplicate of this bug. ***